/*
 * JPA entity PK template
 */

package de.ivu.elect.business.ui.entity;

@javax.enterprise.inject.Vetoed
public class UITableColumnOrderPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<UITableColumnOrderPK> {

  private static final long serialVersionUID = 0L;

  public UITableColumnOrderPK() {
    super();
  }

  public UITableColumnOrderPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "UITableColumnOrderPK:"+getId();
  }

  @Override
  public int compareTo(UITableColumnOrderPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
